
import { BrowserWindow, dialog } from 'electron';
import * as path from 'path';

export function createWindow() {
    const mainWindow = new BrowserWindow({
        width: 800,
        height: 600,
        webPreferences: {
            preload: path.join(__dirname, 'preload.js'),
            nodeIntegration: false,
            contextIsolation: true,
        },
    });

    mainWindow.loadFile('public/index.html');
}

// 在主进程中定义一个方法来显示保存对话框
export async function showSaveViewDialog(): Promise<string | undefined> {
    const result = await dialog.showSaveDialog({
        title: 'Save File',
        defaultPath: path.join(__dirname, 'sample.txt'),
        buttonLabel: 'Save',
        filters: [
            { name: 'Text Files', extensions: ['txt'] },
            { name: 'All Files', extensions: ['*'] },
        ],
    });
    
    if (!result.canceled && result.filePath) {
        return result.filePath;
    } else {
        return undefined;
    }
}